    import BaseServer from '../BaseServer'
    import { Zondy } from '../../base'

    /**
     * 瓦片服务,基地址：/igs/rest/services/{folder}/{serviceName}/TileServer
     * @class TileServer
     * @moduleEx ServiceModule
     * @extends BaseServer
     * @param {Object} options 构造参数
     * @param {String} [options.url = 无] 服务基地址
     * @example
     * //初始化TileServer服务对象
     * // ES5引入方式
     * const { TileServer } = Zondy.Service
     * // ES6引入方式
     * import { TileServer } from "@mapgis/webclient-common"
     *     const  tileServer = new TileServer({
     *         //服务基地址
     *         url: 'http://192.168.82.89:8089/igs/rest/services/Tile/EPSG_4326_WORLD_TILE/TileServer'
     *       })
     */
    class TileServer extends BaseServer {
      constructor(options) {
        super(options)
      }
    }

    Zondy.Service.TileServer = TileServer
    export default TileServer